Name:           ocaml-speex
Version:        0.2.1
Release:        %mkrel 11
Summary:        OCaml interface to the speex library
License:        GPL
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-speex
Source0:        https://github.com/savonet/ocaml-speex/releases/download/%version/ocaml-speex-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(speex)
Requires:       speex

%description
This package provides an interface to the speex library for 
OCaml programmers.

Speex is an audio codec especially designed for compressing voice at low
bit-rates for applications such as voice over IP (VoIP).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libspeex-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/speex
make install

%files
%doc COPYING README CHANGES
%dir %{_libdir}/ocaml/speex
%{_libdir}/ocaml/speex/META
%{_libdir}/ocaml/speex/*.cma
%{_libdir}/ocaml/speex/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/speex/*.a
%{_libdir}/ocaml/speex/*.cmxa
%{_libdir}/ocaml/speex/*.cmx
%{_libdir}/ocaml/speex/*.mli


%changelog
* Thu May 19 2022 pterjan <pterjan> 0.2.1-11.mga9
+ Revision: 1858909
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.2.1-10.mga9
+ Revision: 1833109
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.2.1-9.mga9
+ Revision: 1750860
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.2.1-8.mga9
+ Revision: 1697306
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.2.1-7.mga8
+ Revision: 1670478
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.2.1-6.mga8
+ Revision: 1551370
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.2.1-5.mga8
+ Revision: 1543704
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.2.1-4.mga8
+ Revision: 1482103
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.2.1-3.mga7
+ Revision: 1324283
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1299931
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 tv <tv> 0.2.1-1.mga7
+ Revision: 1180214
- new release
- rebuild for new ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.2.0-9.mga6
+ Revision: 964338
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-8.mga5
+ Revision: 749907
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-7.mga5
+ Revision: 683108
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-6.mga4
+ Revision: 508564
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-5.mga3
+ Revision: 361634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.0-4.mga3
+ Revision: 301568
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.0-3.mga3
+ Revision: 300446
- new rpm group for ocaml

* Wed Mar 28 2012 malo <malo> 0.2.0-2.mga2
+ Revision: 227320
- add missing Requires on libspeex-devel

* Wed Jan 11 2012 blue_prawn <blue_prawn> 0.2.0-1.mga2
+ Revision: 195042
- imported package ocaml-speex

